> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/inventory-count/diagnostics.md).

# Diagnostics

diagnostics

## GET /diagnostics

> check CycleCount

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"diagnostics","description":"diagnostics"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.checkCycleCount.Out":{"type":"object","properties":{"isStatusConfigured":{"type":"string","description":"Are WorkEffort(Cycle Count) and InventoryCountImport(Session) statuses configured"},"isWorkEffortStatusFlowConfigured":{"type":"string","description":"Is WorkEffort statusFlowTransitions configured"},"isSessionStatusFlowConfigured":{"type":"string","description":"Is InventoryCountImport statusFlowTransitions configured"},"isAllProductFacDataDocPresent":{"type":"string","description":"Does ProductFacilityAndInventoryItem Data Doc Exists"},"isSessionLockDataDocPresent":{"type":"string","description":"Does InventoryCountImportLock Data Doc Exists"},"isWorkEffortRelatedWithTypeEnum":{"type":"string","description":"Does WorkEffort Type Enum foreign key exists in WorkEffort"},"isWorkEffortRelatedWithPurposeTypeEnum":{"type":"string","description":"Does WorkEffort Purpose Type Enum foreign key exists in WorkEffort"},"isImportItemRelatedToProduct":{"type":"string","description":"Does Product foreign key exists in InventoryCountImportItem"},"isWorkEffortRelatedToInventoryCountImport":{"type":"string","description":"Does InventoryCountImport has foreign key to WorkEffort on workEffortId"},"areAllPermissionConfigured":{"type":"string","description":"Flag indicating if all required security permissions are configured in the system"},"permissionsChecked":{"type":"string","description":"List of security permissions that were checked for existence"},"missingPermissions":{"type":"string","description":"List Missing Permissions"},"areDecisionOutcomesConfigured":{"type":"string","description":"Are Decision outcomes imported"},"decisionsOutcomeEnums":{"type":"string","description":"Cycle Count Decision outcome enum data"},"areDecisionReasonsConfigured":{"type":"string","description":"Are Decision reasons imported"},"decisionsReasonEnums":{"type":"string","description":"Cycle Count Decision Reason enum data"},"areImportExportSystemMessageTypeConfigured":{"type":"string","description":"Are Import/Export System Message Type Data Imported"},"cycleCountImportAndExportSystemMessages":{"type":"string","description":"These are available System Messages for Import/Export Cycle Counts"},"facilityCountWithNoTimeZoneSet":{"type":"string","description":"Number of facilities having no time zone set to them, Facility Time zone are applied to date time fields during cycle count upload"},"messageList":{"type":"string"}}}}},"paths":{"/diagnostics":{"get":{"tags":["diagnostics"],"summary":"check CycleCount","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.checkCycleCount.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/inventory-count/diagnostics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
